Package fr.gouv.vitam.storage.engine.server.storagelog.parameters

# Class StorageLogbookParameters

java.lang.Object
fr.gouv.vitam.storage.engine.server.storagelog.parameters.StorageLogbookParameters

All Implemented Interfaces:
  `StorageLogStructure`

public class StorageLogbookParameters extends Object implements StorageLogStructure
Storage Logbook Parameters Class

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static StorageLogbookParameters`
  `buildDeleteLogParameters(Map<StorageLogbookParameterName,String> mapParameters)`
  `static StorageLogbookParameters`
  `createLogParameters(String objectIdentifier, String dataCategory, String digest, String digestAlgorithm, String size, String agentIdentifiers, String agentIdentifierRequester, StorageLogbookOutcome outcome)`
  `LocalDateTime`
  `getEventDateTime()`
  Get the event date time as a local date time
  `Map<StorageLogbookParameterName,String>`
  `getMapParameters()`
  Get the parameters map
  `StorageLogbookOutcome`
  `getStatus()`
  Get the status as an outcome
  `StorageLogbookParameters`
  `setStatus(StorageLogbookOutcome outcome)`
  set The status of the operation

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### createLogParameters

    public static StorageLogbookParameters createLogParameters(String objectIdentifier, String dataCategory, String digest, String digestAlgorithm, String size, String agentIdentifiers, String agentIdentifierRequester, StorageLogbookOutcome outcome)

  - ### buildDeleteLogParameters

    public static StorageLogbookParameters buildDeleteLogParameters(Map<StorageLogbookParameterName,String> mapParameters)

  - ### getEventDateTime

    public LocalDateTime getEventDateTime()
    Get the event date time as a local date time
    Returns:
      the local date time as a LocalDateTime

  - ### setStatus

    public StorageLogbookParameters setStatus(StorageLogbookOutcome outcome)
    set The status of the operation
    Parameters:
      `outcome` - the outcome
    Returns:
      the StorageLogbookParameters after the parameter has been added

  - ### getStatus

    public StorageLogbookOutcome getStatus()
    Get the status as an outcome
    Returns:
      the status as a StorageLogbookOutcome

  - ### getMapParameters

    public Map<StorageLogbookParameterName,String> getMapParameters()
    Get the parameters map
    Specified by:
      `getMapParameters` in interface `StorageLogStructure`
    Returns:
      the parameters map